:root {
    --red: #ed1c24;
    --green: #00a651;
    --blue: #2e3192;
    --cyan: #00aeef;
    --yellow: #fff200;
    --orange: #ff9f00;
    --magenta: #ec008c;
    --black: #000000;
    --white: #ffffff;
    --gray-1: #e6e7e8;
    --gray-2: #d1d3d4;
    --gray-3: #bcbec0;
    --gray-4: #a7a9ac;
    --gray-5: #939598;
    --gray-6: #808285;
    --gray-7: #6d6e71;
    --gray-8: #58595b;
    --gray-9: #414042;
    --gray-10: #231f20;

    --stats-1: var(--black);
    --stats-2: var(--gray-10);
    --stats-3: var(--gray-9);
    --stats-4: var(--gray-8);

    --inline-padding: 2px 7px;
    --small-gap: 5px;
    --layout-gap: 10px;

    --base-font-size: 14px;
    --fjsc-base-font-size: var(--base-font-size);

    --default-font-family: "Inter", sans-serif;
    --fjsc-font: var(--default-font-family);

    --radius: 0px;

    --fjsc-text-color: var(--black);
    --fjsc-error-color: var(--red);
    --fjsc-interactive-background: var(--gray-1);
    --fjsc-interactive-background-hover: var(--gray-2);
    --fjsc-interactive-background-active: var(--gray-3);
    --fjsc-interactive-color: var(--black);
    --fjsc-interactive-color-active: var(--black);
    --fjsc-interactive-border: var(--gray-2);
    --fjsc-interactive-border-focused: var(--blue);
    --fjsc-interactive-border-active: var(--blue);
    --fjsc-border-radius-small: var(--radius);
    --fjsc-border-radius-medium: var(--radius);
    --fjsc-border-radius-large: var(--radius);
}

.material-symbols-outlined {
    font-variation-settings: 'FILL' 1,
    'wght' 400,
    'GRAD' 0,
    'opsz' 24;
    font-family: 'Material Symbols Outlined';
    font-size: 1.1em !important;
    line-height: 1.2;
}

a {
    color: inherit;
    text-decoration: none;
    font-size: inherit;
}

a.button {
    padding: var(--inline-padding);
    border-radius: var(--radius);
    background: var(--gray-1);
    max-width: max-content;
    height: max-content;
}

a.button:hover {
    background: var(--gray-2);
    color: var(--black);
}

.flex, .flex-v {
    display: flex;
    gap: var(--layout-gap);
    flex-wrap: wrap;
}

.flex-v {
    flex-direction: column;
}

html, body {
    margin: 0;
    padding: 0;
    height: 100dvh;
    width: 100dvw;
}

body {
    background: var(--gray-1);
    color: var(--black);
    font-family: var(--default-font-family);
    font-size: 16px;
    line-height: 1.5;
    margin: 0;
    padding: 0;
}

#content {
    height: 100%;
}

.hidden {
    display: none;
}

p, h1, h2, h3, h4, h5, h6 {
    margin: 0;
    padding: 0;
    font-weight: normal;
}

h1 {
    font-size: 2rem;
}

h2 {
    font-size: 1.5rem;
}

h3, h4, h5, h6 {
    font-size: 1rem;
}

b {
    font-weight: bold;
}

#notifications {
    position: absolute;
    right: 50%;
    transform: translateX(50%);
    top: 15px;
    width: max-content;
    z-index: 99999;
    max-height: 100dvh;
}

.notification {
    font-weight: bold;
}

.notification.error {
    color: var(--red);
}

.notification.success {
    color: var(--green);
}

.notification.warning {
    color: var(--orange);
}

.container {
    padding: var(--layout-gap);
    box-sizing: border-box;
    background: var(--white);
}

.border {
    border: 1px solid var(--black);
}

.layer-1 {
    background: var(--white);
}

.layer-2 {
    background: var(--gray-1);
}

.layer-3 {
    background: var(--gray-2);
}

.center-items {
    align-items: center;
}

.split-flex {
    justify-content: space-between;
}

button.positive, .button.positive {
    background: var(--green);
    color: var(--white);
}

button.negative, .button.negative {
    background: var(--red);
    color: var(--white);
}

button.active, .button.active {
    background: var(--blue);
    color: var(--white);
}

.header-logo {
    --size: 2rem;
    width: var(--size);
    height: var(--size);
}

.loading {
    border-radius: 999px;
    width: 1em;
    height: 1em;
    animation: pulsating-shadow 1s ease-in-out infinite;
    background: var(--gray-3);
    box-shadow: 0 0 0 0 rgba(0, 0, 0, 0.2);
}

@keyframes pulsating-shadow {
    0% {
        box-shadow: 0 0 0 0 rgba(0, 0, 0, 0.2);
    }
    100% {
        box-shadow: 0 0 0 1em rgba(0, 0, 0, 0);
    }
}

table {
    border-collapse: collapse;
    width: 100%;
}

th {
    background: var(--black);
    color: var(--white);
}

th, td {
    text-align: left;
}

tr:nth-child(even) {
    background: var(--gray-2);
}

tr:nth-child(odd) {
    background: var(--gray-1);
}

.privateText {
    cursor: pointer;
}

button.fjsc {
    align-items: center;
    display: flex;
    gap: var(--layout-gap);
}

.bingo-cell {
    height: 15dvh;
    width: 15dvw;
    max-width: 15dvw;
    word-wrap: break-word;
    text-align: center;
    padding: 5px;
    border: 1px solid var(--gray-5);
    user-select: none;
    box-sizing: border-box;
}

.bingo-cell.active {
    background: var(--green);
    color: var(--white);
}

.bingo-cell.winning {
    background: radial-gradient(circle, rgba(238,174,202,1) 0%, rgba(148,187,233,1) 100%);
    color: var(--black);
}

.bingo-gif {
    max-width: 15dvw;
    max-height: 15dvh;
}